ru.bitel.bgbilling.modules.mobile.server.event

## Class MobileRequestEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.mobile.server.event.MobileRequestEvent

- All Implemented Interfaces:
    java.io.Serializable, ErrorReturnableEvent

      public class MobileRequestEvent
      extends LocalEvent
      implements ErrorReturnableEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MobileRequestEvent(int mid, Contract contract, java.lang.String action, java.util.Map<java.lang.String,java.lang.String[]> requestMap, java.util.Map<java.lang.String,java.lang.Object> map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getActionMap()`
    `Contract` | `getContract()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getDataMap()`
    `java.lang.String` | `getError()`
    `int` | `getRequestIntParam(java.lang.String paramName, int defaultValue)` Получить int параметр запроса
    `long` | `getRequestLongParam(java.lang.String paramName, long defaultValue)` Получить long параметр запроса
    `java.util.Map<java.lang.String,java.lang.String[]>` | `getRequestMap()`
    `java.lang.String` | `getRequestParam(java.lang.String paramName)` Получить параметр запроса
    `boolean` | `isProcessed()` Если событие было обработано, то стандартное поведение не выполняется
    `void` | `setAction(java.lang.String action)`
    `void` | `setActionMap(java.util.Map<java.lang.String,java.lang.Object> actionMap)`
    `void` | `setContract(Contract contract)`
    `void` | `setError(java.lang.String error)` Если не null, то приложению вернется данное сообщение об ошибке.
    `void` | `setProcessed(boolean processed)` Если событие было обработано, то стандартное поведение не выполняется.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MobileRequestEvent

          public MobileRequestEvent(int mid,
                                    Contract contract,
                                    java.lang.String action,
                                    java.util.Map<java.lang.String,java.lang.String[]> requestMap,
                                    java.util.Map<java.lang.String,java.lang.Object> map)

  - ### Method Detail

    - #### getAction

          public java.lang.String getAction()

    - #### setAction

          public void setAction(java.lang.String action)

    - #### getContract

          public Contract getContract()

    - #### setContract

          public void setContract(Contract contract)

    - #### getDataMap

          public java.util.Map<java.lang.String,java.lang.Object> getDataMap()

    - #### getActionMap

          public java.util.Map<java.lang.String,java.lang.Object> getActionMap()

    - #### setActionMap

          public void setActionMap(java.util.Map<java.lang.String,java.lang.Object> actionMap)

    - #### getError

          public java.lang.String getError()

      Specified by:
        `getError` in interface `ErrorReturnableEvent`

    - #### setError

          public void setError(java.lang.String error)

      Если не null, то приложению вернется данное сообщение об ошибке. Все что было в actionMap, будет перетерто

    - #### isProcessed

          public boolean isProcessed()

      Если событие было обработано, то стандартное поведение не выполняется

    - #### setProcessed

          public void setProcessed(boolean processed)

      Если событие было обработано, то стандартное поведение не выполняется. Map будет таковым, каковым его вернуло событие.

    - #### getRequestMap

          public java.util.Map<java.lang.String,java.lang.String[]> getRequestMap()

    - #### getRequestParam

          public java.lang.String getRequestParam(java.lang.String paramName)

      Получить параметр запроса

    - #### getRequestIntParam

          public int getRequestIntParam(java.lang.String paramName,
                                        int defaultValue)

      Получить int параметр запроса

    - #### getRequestLongParam

          public long getRequestLongParam(java.lang.String paramName,
                                          long defaultValue)

      Получить long параметр запроса